Name:           pathological
Summary:        Enriched python clone of the game "Logical"
License:        GPL-2.0
Group:          Games/Logic
Version:        1.1.3
Release:        %mkrel 1
Source:         %{name}-%{version}.tar.xz
Source1:        %{name}
Source2:        %{name}.png
Source3:        %{name}.desktop
Patch0:         %{name}-home-hiscore.patch
URL:            http://pathological.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:	netpbm
BuildArch:      noarch
Requires:       pygame

%description
Pathological is an enriched clone of the game "Logical" by Rainbow Arts.
To solve a level, fill each wheel with four marbles of matching color.

Various board elements such as teleporters, switches, filters, etc.,
make the game interesting and challenging.

New levels can be created using your favorite text editor.

%prep
%setup -q
%patch0

%build
%make

%install
install -D -m 0755 %{SOURCE1} %{buildroot}/%{_bindir}/%{name}
install -D -m 0644 pathological.6.gz %{buildroot}/%{_mandir}/man6/%{name}.6.gz
install -D -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -D -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m 0755 pathological.py %{buildroot}%{_datadir}/%{name}/pathological.py
cp -r circuits graphics music sounds %{buildroot}%{_datadir}/%{name}/
rm -f %{buildroot}%{_datadir}/%{name}/graphics/*.xcf
rm -f %{buildroot}%{_datadir}/%{name}/sounds/*.orig


%files
%defattr(-,root,root,-)
%doc LICENSE README TODO changelog
%{_bindir}/pathological
%{_datadir}/applications/pathological.desktop
%{_mandir}/man6/pathological.6.bz2
%{_datadir}/pathological
%{_datadir}/pixmaps/pathological.png


%changelog
* Mon Oct 5 2015 MBantz <martin dot bantz at gmail dot com> 1.1.3-1pclos2015
- Adapted to PCLinuxOS from prusnak at suse dot cz
